Bug 505674 - Deprecate 'pki-manage' rpm on Linux
Deprecate 'pki-manage' rpm on Linux
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: Tools - Java (Show other bugs)
unspecified
All Linux
high Severity medium
: ---
: ---
Assigned To: Matthew Harmsen
Chandrasekar Kannan
:
Depends On:
Blocks: 443788 506177
  Show dependency treegraph
 
Reported: 2009-06-12 16:41 EDT by Chandrasekar Kannan
Modified: 2015-01-05 20:17 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 506177 (view as bug list)
Environment:
Last Closed: 2009-07-22 19:36:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Deprecation of pki-manage (5.99 KB, patch)
2009-06-18 12:44 EDT, Matthew Harmsen
no flags Details | Diff
Deprecation of pki-manage (dogtag) (932 bytes, patch)
2009-06-18 12:44 EDT, Matthew Harmsen
no flags Details | Diff

  None (edit)
Description Chandrasekar Kannan 2009-06-12 16:41:29 EDT
we used to have a need for pki-manage script. the purposes were two fold:

(1) to create a CDROM/DVD which contained all of the packages 
    and install from that. 
(2) convenient for Solaris packages installation


for (1) - cdrom/dvd built can be made to act as a yum repo in itself and the ones we make already do that.

for (2) - i see the benefit.


So I guess one less thing to worry on linux. could we please remove the pki-manage rpm on linux.
Comment 1 Matthew Harmsen 2009-06-18 12:44:22 EDT
Created attachment 348523 [details]
Deprecation of pki-manage
Comment 2 Matthew Harmsen 2009-06-18 12:44:49 EDT
Created attachment 348525 [details]
Deprecation of pki-manage (dogtag)
Comment 4 Andrew Wnuk 2009-06-18 12:51:54 EDT
attachment (id=348523)
attachment (id=348525)
+awnuk
Comment 6 Matthew Harmsen 2009-06-18 13:00:54 EDT
cd pki/base

% svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?
M      manage/pki-install
M      manage/pki-uninstall

% svn commit
Sending        base/manage/pki-install
Sending        base/manage/pki-uninstall
Transmitting file data ..
Committed revision 627.



cd pki/dogtag

% svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?
M      manage/pki-manage.spec

% svn commit
Sending        dogtag/manage/pki-manage.spec
Transmitting file data .
Committed revision 628.
Comment 11 Kashyap Chamarthy 2009-06-21 06:40:02 EDT
Closing this bug, as  pki-manage is removed from the linux builds, and also removed that part from pki-manage.spec file.

Note You need to log in before you can comment on or make changes to this bug.